epp_Greeting (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.epp_Greeting class

### org.openrtk.idl.epp02

# Class epp_Greeting

- `java.lang.Object`
- - `org.openrtk.idl.epp02.epp_Greeting`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Greeting`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/epp_Greeting.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp.idl Thursday, July 26, 2001 6:26:04 PM EDT

  ## Field Summary
  `String[]` | `m_langs`
  `String` | `m_server_date`
  `String` | `m_server_id`
  `epp_Service[]` | `m_services`
  `String[]` | `m_versions`

  ## Constructor Summary
  `epp_Greeting()`
  `epp_Greeting(String _m_server_id, String _m_server_date, String[] _m_versions, String[] _m_langs, epp_Service[] _m_services)`

  ## Method Summary
  `String[]` | `getLangs()`
  `String` | `getServerDate()`
  `String` | `getServerId()`
  `epp_Service[]` | `getServices()`
  `String[]` | `getVersions()`
  `void` | `setLangs(String[] value)`
  `void` | `setServerDate(String value)`
  `void` | `setServerId(String value)`
  `void` | `setServices(epp_Service[] value)`
  `void` | `setVersions(String[] value)`
  `String` | `toString()`

## Field Details

### m_langs

    public String[] m_langs

### m_server_date

    public String m_server_date

### m_server_id

    public String m_server_id

### m_services

    public epp_Service[] m_services

### m_versions

    public String[] m_versions

## Constructor Details

### epp_Greeting

    public epp_Greeting()

### epp_Greeting

    public epp_Greeting(String _m_server_id,
                        String _m_server_date,
                        String[] _m_versions,
                        String[] _m_langs,
                        epp_Service[] _m_services)

## Method Details

### getLangs

    public String[] getLangs()

### getServerDate

    public String getServerDate()

### getServerId

    public String getServerId()

### getServices

    public epp_Service[] getServices()

### getVersions

    public String[] getVersions()

### setLangs

    public void setLangs(String[] value)

### setServerDate

    public void setServerDate(String value)

### setServerId

    public void setServerId(String value)

### setServices

    public void setServices(epp_Service[] value)

### setVersions

    public void setVersions(String[] value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS